LibreOffice: Connection Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Included Services | Exported Interfaces | List of all members
Connection Service Referencepublished

extends the com::sun::star::sdbc::Connection of SDBC by providing the data definitions of a connected database. More...

`import"Connection.idl";`

Inheritance diagram for Connection:

## Included Services
service | com::sun::star::sdbc::Connection
service | com::sun::star::sdbcx::DatabaseDefinition
| access to the database definition information of the connection. More...

## Exported Interfaces
interface | com::sun::star::container::XChild
| access to the owning data source. More...
interface | XCommandPreparation
| interface for complex command execution. More...
interface | XQueriesSupplier
| returns a container of associated queries. More...
interface | XSQLQueryComposerFactory
| returns a tool for composing queries. More...
interface | com::sun::star::lang::XMultiServiceFactory
| allows the creation of different services which can only exists with a connection. More...
Exported Interfaces inherited from Connection
interface | com::sun::star::lang::XComponent
| controls the closing of a connection. More...
interface | XConnection
| the main interface for interaction with a connection to a database. More...
interface | XWarningsSupplier
| controls the chaining of warnings, which may occur on every call to the connected database. More...
Exported Interfaces inherited from DatabaseDefinition
interface | XTablesSupplier
interface | XViewsSupplier
| The implementation is optional. More...
interface | XUsersSupplier
| The implementation is optional. More...
interface | XGroupsSupplier
| The implementation is optional. More...

## Additional Inherited Members
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XConnection
XStatement | createStatement () raises (SQLException)
| creates a new com::sun::star::sdbc::Statement object for sending SQL statements to the database. More...
XPreparedStatement | prepareStatement ([in]string sql) raises (SQLException)
| creates a com::sun::star::sdbc::PreparedStatement object for sending parameterized SQL statements to the database. More...
XPreparedStatement | prepareCall ([in]string sql) raises (SQLException)
| creates a com::sun::star::sdbc::CallableStatement object for calling database stored procedures. More...
string | nativeSQL ([in]string sql) raises (SQLException)
| converts the given SQL statement into the system's native SQL grammar. More...
void | setAutoCommit ([in] boolean autoCommit) raises (SQLException)
| sets this connection's auto-commit mode. More...
boolean | getAutoCommit () raises (SQLException)
| gets the current auto-commit state. More...
void | commit () raises (SQLException)
| makes all changes made since the previous commit/rollback permanent and releases any database locks currently held by the Connection. More...
void | rollback () raises (SQLException)
| drops all changes made since the previous commit/rollback and releases any database locks currently held by this Connection. More...
boolean | isClosed () raises (SQLException)
| tests to see if a connection is closed. More...
XDatabaseMetaData | getMetaData () raises (SQLException)
| gets the metadata regarding this connection's database. More...
void | setReadOnly ([in]boolean readOnly) raises (SQLException)
| puts this connection in read-only mode as a hint to enable database optimizations. More...
boolean | isReadOnly () raises (SQLException)
| tests to see if the connection is in read-only mode. More...
void | setCatalog ([in]string catalog) raises (SQLException)
| sets a catalog name in order to select a subspace of this Connection's database in which to work. More...
string | getCatalog () raises (SQLException)
| returns the Connection's current catalog name. More...
void | setTransactionIsolation ([in]long level) raises (SQLException)
| attempts to change the transaction isolation level to the one given. More...
long | getTransactionIsolation () raises (SQLException)
| gets this Connection's current transaction isolation level. More...
com::sun::star::container::XNameAccess | getTypeMap () raises (SQLException)
| gets the type map object associated with this connection. More...
void | setTypeMap ([in]com::sun::star::container::XNameAccess typeMap) raises (SQLException)
| installs the given type map as the type map for this connection. More...
Public Member Functions inherited from XCloseable
void | close () raises (SQLException)
| releases all resources connected to an object. More...
Public Member Functions inherited from XWarningsSupplier
any | getWarnings () raises (SQLException)
| returns the first warning reported by calls on an object that supports the usage of warnings. More...
void | clearWarnings () raises (SQLException)
| clears all warnings reported for the object implementing the interface. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XCommandPreparation
com::sun::star::sdbc::XPreparedStatement | prepareCommand ([in]string command, [in] long commandType) raises (com::sun::star::sdbc::SQLException)
| creates a com::sun::star::sdbc::PreparedStatement object for sending parameterized SQL statements to the database. More...
Public Member Functions inherited from XTablesSupplier
com::sun::star::container::XNameAccess | getTables ()
| returns the container of tables. More...
Public Member Functions inherited from XQueriesSupplier
com::sun::star::container::XNameAccess | getQueries ()
| returns the container of queries. More...
Public Member Functions inherited from XSQLQueryComposerFactory
com::sun::star::sdb::XSQLQueryComposer | createQueryComposer ()
| creates a new query composer. More...
Protected Member Functions inherited from XViewsSupplier
com::sun::star::container::XNameAccess | getViews ()
| returns the container of views. More...
Protected Member Functions inherited from XUsersSupplier
com::sun::star::container::XNameAccess | getUsers ()
| returns the container of users. More...
Protected Member Functions inherited from XGroupsSupplier
com::sun::star::container::XNameAccess | getGroups ()
| returns the container of groups. More...
Protected Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...

## Detailed Description

extends the com::sun::star::sdbc::Connection of SDBC by providing the data definitions of a connected database.

Developers Guide
  Database - Connections - Understanding Connections

## Exported Interfaces

## ◆ com::sun::star::sdbc::Connection

service com::sun::star::sdbc::Connection

## ◆ com::sun::star::sdbcx::DatabaseDefinition

service com::sun::star::sdbcx::DatabaseDefinition

access to the database definition information of the connection.

## Exported Interfaces

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

access to the owning data source.

## ◆ com::sun::star::lang::XMultiServiceFactory

interface com::sun::star::lang::XMultiServiceFactory
| optional

allows the creation of different services which can only exists with a connection.

## ◆ XCommandPreparation

interface XCommandPreparation

interface for complex command execution.

## ◆ XQueriesSupplier

interface XQueriesSupplier

returns a container of associated queries.

## ◆ XSQLQueryComposerFactory

interface XSQLQueryComposerFactory

returns a tool for composing queries.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/Connection.idl